<?php
/**
 * Plugin Name: Bynder
 * Description: Allows users to easily import and use their Bynder images and videos directly in Wordpress, helping brands save time and maintain consistency.
 * Version: 2.2
 * Author: Bynder BV
 * Author URI: http://www.bynder.com/
 */

require('helper.php');

register_deactivation_hook(__FILE__, 'bynder_deactivation');

add_filter('media_upload_tabs', 'bynder_add_tab');

add_action('media_upload_bynder_tab', 'bynder_get_tab_iframe');

add_action('admin_menu', 'bynder_create_menu');

function bynder_deactivation() {
    delete_option('bynder_url');
}

function bynder_add_tab($tabs) {
    $bynderTab = array(
        'bynder_tab' => __('Insert from Bynder'),
    );
    return array_merge($tabs, $bynderTab);
}

function bynder_get_tab_content() {
    wp_enqueue_script('jquery');
    wp_register_script('compactview', 'https://d8ejoa1fys2rk.cloudfront.net/modules/compactview/includes/js/client-1.2.0.min.js');
    wp_enqueue_script('compactview');
    wp_enqueue_style('bynder', plugins_url('/css/bynder.css', __FILE__));
    wp_localize_script('bynder', 'bynderURL', get_option('bynder_url'));

    include('views/container.php');
}

function bynder_get_tab_iframe() {
    return wp_iframe('bynder_get_tab_content');
}

function bynder_create_menu() {
    add_submenu_page('options-general.php', 'Bynder Settings', 'Bynder', 'administrator', __FILE__, 'bynder_settings_page', 'none');
    add_action('admin_init', 'bynder_init_settings_style');
}

function bynder_init_settings_style() {
    wp_enqueue_style('bynder-settings', plugins_url('css/bynder-settings.css', __FILE__));
}

function bynder_settings_page() {
    include('views/settings.php');
}
?>
