<div id="bynder-compactview"
         data-language="en_US"
         data-folder="bynder-compactview"
         data-zindex="300"
         data-collections="true"
         data-defaultEnvironment="<?php echo esc_url(get_option('bynder_url'), 'https'); ?>"
         data-header="true"
         data-autoload="true"
         data-fullScreen="true"
         data-assetTypes="image,video"
         data-mode="multi"
>
</div>
<script>
    function escapeHTML(unsafe) {
        return unsafe
             .replace(/&/g, "&amp;")
             .replace(/</g, "&lt;")
             .replace(/>/g, "&gt;")
             .replace(/"/g, "&quot;")
             .replace(/'/g, "&#039;");
     }

    document.addEventListener('BynderAddMedia', function (e) {
        var win = window.dialogArguments || opener || parent || top;
        // The selected assets go in the event detail property
        var selectedAssets = e.detail;
        var elements = '';
        for (var i = 0; i < selectedAssets.length; i++) {
            var asset = selectedAssets[i];
            switch(asset.type) {
                case 'image':
                    var thumbnail = asset.thumbnails['webimage'];
                    elements += '<img alt="' + escapeHTML(asset.name) + '" title="' + escapeHTML(asset.name) + '" src="' + thumbnail + '" />';
                    break;
                case 'video':
                    // If video elements are not sent together in one string (with each video surrounded by embed tags), then
                    // the preview will not render in the editor
                    var videoURL = asset.videoPreviewURLs.filter(function (url) { return url.match(/mp4$/) })[0];
                    if(videoURL) {
                        elements +='[embed]'+videoURL+'[/embed]';
                    }
                    break;
            }
    }

    // Send the string of elements to the editor
    win.send_to_editor(elements);
})
</script>
